Bug 79655 - RTL: Dragging toolbars from the left edge of titlebar causes toolbar to dock on right side rather than left
Summary: RTL: Dragging toolbars from the left edge of titlebar causes toolbar to dock ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL Toolbars
  Show dependency treegraph
 
Reported: 2014-06-04 22:31 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-03 02:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
how the drag looks in RTL (100.07 KB, image/png)
2014-06-04 22:31 UTC, Yousuf Philips (jay) (retired)
Details
shows how it looks when dragging from both ends (135.65 KB, image/png)
2014-09-26 21:00 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-04 22:31:32 UTC
Created attachment 100423 [details]
how the drag looks in RTL

When i drag a toolbar when i'm in a RTL language like Arabic to fill the empty space on the left side of the screen it puts the toolbar on the right side.
Comment 1 tommy27 2014-09-26 19:49:40 UTC
are you still seiing this in 4.3.2.2?
Comment 2 Yousuf Philips (jay) (retired) 2014-09-26 20:52:00 UTC
Did some testing on 4.3.3 with the arabic UI and compared it with the behaviour of the english UI and noticed where the problem happen.

Steps:
1) Open writer in english UI
2) Open the drawing toolbar
3) Drag the toolbar to make it floating
4) Drag the toolbar from one end then the other end and see how the gray checkered rectangle border place holder appears before dropping it.

Behaviour: If you drag the toolbar from the left side close to the toolbar title, the rectangle that appears fills up the empty space. If you drag the toolbar from the right side close to the down arrow and the close button, the rectangle that appears takes up the full size of the toolbar.

With the arabic UI, when you drag from the toolbar title, it works correctly, but when you drag from the close button, it seems its not taking into consideration that the toolbar is RTL and places the toolbar in the same location that it would if the interface was LTR. I tested this on Windows as well and it happens there as well.
Comment 3 Yousuf Philips (jay) (retired) 2014-09-26 21:00:52 UTC
Created attachment 106935 [details]
shows how it looks when dragging from both ends
Comment 4 Ibrahim 2014-10-08 16:14:32 UTC
Confirmed on Windows 7 64Bit.

Version: 4.3.0.4
Build ID: 62ad5818884a2fc2e5780dd45466868d41009ec0
Comment 5 Abdulaziz Ayed 2014-10-21 07:56:05 UTC
Confirmed on Ubuntu 14.04LTS 64Bit.

Version: 4.4.0.0 alpha+
Build ID: e2723d00b77dc1044e2ba599ba93517af34e1ea5
Comment 6 QA Administrators 2015-12-20 16:11:07 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-01-03 19:47:37 UTC Comment hidden (obsolete)
Comment 8 Yousuf Philips (jay) (retired) 2017-10-02 09:28:28 UTC
Still present in both Arabic and Hebrew UIs.

Version: 5.4.3.0.0+
Build ID: fb64cf127dc6398f5d18d186a93966837db0bb1e
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-4, Time: 2017-09-27_12:54:32
Locale: en-US (en_US.UTF-8); Calc: group
Comment 9 QA Administrators 2018-10-03 02:54:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug